PETSc version 3.15.5
Fix/Edit manual page

# Mat

Abstract PETSc matrix object used to manage all linear operators in PETSc, even those without an explicit sparse representation (such as matrix-free operators)

### Synopsis

    typedef struct _p_Mat*           Mat;

### See Also

MatCreate(), MatType, MatSetType(), MatDestroy()

### Level

beginner

### Location

src/mat/../../include/petscmat.h

### Examples

src/mat/tutorials/ex1.c.html
src/mat/tutorials/ex8.c.html
src/mat/tutorials/ex9.c.html
src/mat/tutorials/ex10.c.html
src/mat/tutorials/ex11.c.html
src/mat/tutorials/ex12.c.html
src/mat/tutorials/ex15.c.html
src/mat/tutorials/ex17.c.html
src/dm/impls/stag/tutorials/ex2.c.html
src/dm/impls/stag/tutorials/ex3.c.html
src/dm/impls/stag/tutorials/ex4.c.html

### Implementations

Mat in src/mat/impls/hypre/mhypre.c
_p_Mat in include/petsc/private/matimpl.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages